Get application details
curl --request GET \
--url https://api.yapily.com/applications/{applicationId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/applications/{applicationId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/applications/{applicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154"
},
"data": {
"id": "2698db90-6635-4f76-b673-5ce8e2aeda0e",
"name": "Merchant Uno",
"merchantCategoryCode": 7995,
"ppcUserGroup": "WHOLESALE_FI_FI",
"callbackUrls": [
"https://www.callback-service.com"
],
"isContractPresent": true,
"rootApplicationId": "eb25e1ee-f6af-4131-92fe-748e177bf950"
}
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": "INVALID_PROPERTY_UNEXPECTED_VALUE",
"parameter": "$.payer.accountidentifications.type",
"message": "Type Should be one of [PAN, SORT_CODE, ACCOUNT_NUMBER]",
"institutionError": {
"errorMessage": "{\"Code\":\"400 BadRequest\",\"Id\":\"3517bfc2-c3ee-4f2f-b4f8-12f62478e0d1\",\"Message\":\"No Resource found\",\"Errors\":[{\"ErrorCode\":\"UK.OBIE.Resource.NotFound\",\"Message\":\"No resource found corresponding to the consent id\"}]}",
"httpStatusCode": 400
}
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": "INVALID_PROPERTY_UNEXPECTED_VALUE",
"parameter": "$.payer.accountidentifications.type",
"message": "Type Should be one of [PAN, SORT_CODE, ACCOUNT_NUMBER]",
"institutionError": {
"errorMessage": "{\"Code\":\"400 BadRequest\",\"Id\":\"3517bfc2-c3ee-4f2f-b4f8-12f62478e0d1\",\"Message\":\"No Resource found\",\"Errors\":[{\"ErrorCode\":\"UK.OBIE.Resource.NotFound\",\"Message\":\"No resource found corresponding to the consent id\"}]}",
"httpStatusCode": 400
}
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": "INVALID_PROPERTY_UNEXPECTED_VALUE",
"parameter": "$.payer.accountidentifications.type",
"message": "Type Should be one of [PAN, SORT_CODE, ACCOUNT_NUMBER]",
"institutionError": {
"errorMessage": "{\"Code\":\"400 BadRequest\",\"Id\":\"3517bfc2-c3ee-4f2f-b4f8-12f62478e0d1\",\"Message\":\"No Resource found\",\"Errors\":[{\"ErrorCode\":\"UK.OBIE.Resource.NotFound\",\"Message\":\"No resource found corresponding to the consent id\"}]}",
"httpStatusCode": 400
}
}
]
}
}Application Management
Get application details
Retrieves an application by the id provided in the path
Get application details
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
The id of the application being fetched
Was this page helpful?
Creates a sub-application for the root application id provided in the authentication tokenUpdate an Application
⌘I